petsc-3.7.1 2016-05-15
Report Typos and Errors

# MATSOLVERKLU

"klu" - A matrix type providing direct solvers (LU) for sequential matrices via the external package KLU. ./configure --download-suitesparse to install PETSc to use KLU Many br

Use -pc_type lu -pc_factor_mat_solver_package klu to us this direct solver Many br

Consult KLU documentation for more information on the options database keys below. Many br

### Options Database Keys

| -mat_klu_pivot_tol <0.001> | - Partial pivoting tolerance Many br
| -mat_klu_use_btf <1> | - Use BTF preordering Many br
| -mat_klu_ordering <AMD> | - KLU reordering scheme to reduce fill-in (choose one of) AMD COLAMD PETSC Many br
| -mat_klu_row_scale <NONE> | - Matrix row scaling (choose one of) NONE SUM MAX Many br

Note: KLU is part of SuiteSparse http://faculty.cse.tamu.edu/davis/suitesparse.html Many br

Many br

### See Also

PCLU, MATSOLVERUMFPACK, MATSOLVERCHOLMOD, PCFactorSetMatSolverPackage(), MatSolverPackage

Level:beginner
Location:src/mat/impls/aij/seq/klu/klu.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages